/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.impl;

import ej.basedriver.SwitchWithReturnState;
import ej.basedriver.event.SwitchStateEvent;

public class DefaultSwitchStateEvent extends AbstractEvent<SwitchWithReturnState> implements SwitchStateEvent{
	private final int state;

	public DefaultSwitchStateEvent (SwitchWithReturnState s) {
		super(s);
		this.state = s.getLastKnownState();
	}

	@Override
	public int getState() {
		return state;
	}
}
