/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
/**
 * Outlines implementations drawing a background.
 * <p>
 * They are usually associated to the elements border.
 * <p>
 * Some backgrounds can be associated with an outline to add spacing or even a border.
 *
 * @see ej.style.outline.Outline
 * @see ej.style.border
 * @see ej.style.Style#getBorder()
 */
@ej.annotation.NonNullByDefault
package ej.style.background;
