# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.0.0 - 2019-04-09

### Added
  - Initial revision based on Front Panel _mockFPWidgets.jar_ of MicroEJ UI architecture extension 11.2.0.
  - Compatible with Front Panel Framework 1.0.0 and higher (available MicroEJ architecture 7.11.0 and higher).
  - Compatible with MicroUI Graphical Engine 11.0.0 and higher (available MicroEJ UI architecture extension 12.0.0 and higher).
  - Holds UI _output_ widgets to render MicroUI display and LEDs behavior.
  - Holds UI _input_ tooling classes to build some MicroUI events and add them to the Front Panel event queue. 

---  
_Copyright 2019 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._   

