/*
 * Java
 *
 * Copyright 2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.wadapps.applicationstore;

import ej.kf.Proxy;


public class ApplicationStoreConnectionsProxy extends Proxy<ApplicationStoreConnectionsProxy> implements ApplicationStoreConnections {

	@Override
	public ApplicationStoreConnectionInfo[] getConnectionsInfos() {
		try {
			return (ApplicationStoreConnectionInfo[]) invokeRef();
		} catch (Throwable e) {
			return new ApplicationStoreConnectionInfo[0];
		}
	}

	@Override
	public void registerConnectionInfo(ApplicationStoreConnectionInfo applicationStoreConnectionInfo) {
		try {
			invoke();
		} catch (Throwable e) {
			// Nothing to do
		}
	}

}
