# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.3.0 - 2019-07-16

### Added
  
  - Add all the APIs instead of a selection.

### Changed

  - Use MMM.

## 1.2.1 - 2019-02-25

### Fixed

  - P0095F-971: Fix dependency to android.connectivity (API) instead of connectivity (implementation).

## 1.2.0 - 2018-08-07

### Added

  - P0095F-637: Add Connectivity manager 1.1.0 APIs.
  
## 1.1.2 - 2018-05-25

### Fixed

  - P0095F-630: Import APIs using a larger range, so all versions with the same major are accepted.

## 1.1.1 - 2017-10-13

### Fixed

  - Dependencies in the kernelAPIs and runtimeAPIs should be transitive.
  - Add-on libraries should not be in provided conf.

## 1.1.0 - 2017-04-20

### Added
  - Open android.net.ConnectivityManager.notifyNetworkCallbacks method.

## 1.0.4 - 2017-03-18

### Added

  - Added missing LICENCE, README and CHANGELOG.
  
## 1.0.0 - 2015-12-08

### Added

  - Initial public revision.
  
---    
_Markdown_  
_Copyright 2015-2019 MicroEJ Corp. All rights reserved._  
_MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms._  
