/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.impl;

import ej.basedriver.DryContact;
import ej.basedriver.event.DryContactEvent;

public class DefaultDryContactEvent extends AbstractEvent<DryContact> implements DryContactEvent {
	private final int state;

	public DefaultDryContactEvent (DryContact dc) {
		super(dc);
		this.state = dc.getLastKnownState();
	}

	@Override
	public int getState() {
		return state;
	}
}
